본문으로 건너뛰기
API 레퍼런스
API 레퍼런스

현재 계정 가져오기

제시된 API 키에서 사용 가능한 사용자 및 계정 컨텍스트를 가져옵니다.

제시된 API 키에서 사용 가능한 사용자 및 계정 컨텍스트를 가져옵니다.

엔드포인트

GET /api/v1/me
Base URL
https://runapi.ai
API 버전
v1
인증
Authorization: Bearer YOUR_API_KEY
02

성공 응답

HTTP 200

GET /api/v1/me

JSON
{
  "account": {
    "id": 7,
    "name": "Example Studio"
  },
  "email": "[email protected]",
  "id": 42,
  "name": "Ada"
}
03

오류 응답 (401)

HTTP 401
응답 스키마
JSON
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

응답 예시

JSON
{
  "error": "Authentication required"
}
04

오류 응답 (403)

HTTP 403
응답 스키마
JSON
{
  "properties": {
    "error": {
      "description": "사람이 읽을 수 있는 오류 메시지.",
      "type": "string"
    }
  },
  "required": [
    "error"
  ],
  "type": "object",
  "unevaluatedProperties": false
}

응답 예시

JSON
{
  "error": "Standard API key required"
}
05

cURL 예시

CURL
curl -X GET https://runapi.ai/api/v1/me \
  -H 'Authorization: Bearer YOUR_API_KEY'